%global momorel 6

Summary:     vumeter for xmms
Name:        xmms-vumeter
Version:     0.9.0
Release: %{momorel}m%{?dist}
License:     GPL
Group:       Applications/Multimedia
URL:         http://vumeterplugin.sourceforge.net/index.html
%NoSource 0  http://dl.sourceforge.net/sourceforge/vumeterplugin/vumeter-0.9.0.tar.gz 4cfa8f03bb7131e561f12981a2b06519

# skins
%NoSource 1  http://vumeterplugin.sourceforge.net/skins/vuskin.tar.bz2 b03853712b06d3b1a3a2365c6d405757
%NoSource 2  http://vumeterplugin.sourceforge.net/skins/vumeter_by.tar.bz2 9d9934b3cf5aafd04c44a2a88843d002
%NoSource 3  http://vumeterplugin.sourceforge.net/skins/vumeter_classic.tar.bz2 6c30e09d85f32f7d08b3ec7083fb1259


Requires:    xmms >= 1.2.10-13m
BuildPreReq: xmms-devel >= 1.2.10-13m
BuildPreReq: gdk-pixbuf-devel >= 0.22.0-13m
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
Analog VU meter plugin for xmms, much like the ones found from old casette
decs, mixers, etc..

%prep
%setup -q -n vumeter-%{version} -a 1 -a 2 -a 3

%build
autoreconf -fi
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
mv vuskin by classic skins/
rm -rf skins/default.oldxmms
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/xmms/VU_Meter_skins/
cp -a skins/* %{buildroot}%{_datadir}/xmms/VU_Meter_skins/
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_libdir}/xmms/Visualization/libvumeter.*
%{_datadir}/xmms/VU_Meter_skins/*

%ChangeLog
* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-6m)
- delete libtool library

* Sun Mar 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.0-5m)
- change installdir (/usr/X11R6 -> /usr)

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.9.0-4m)
- enable x86_64.

* Tue Sep 28 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.0-3m)
- remove %post and %postun from spec

* Tue Sep 23 2004 Shigeru Yamazaki <muradaikan@momonga-linux.opg>
- (0.9.0-2m)
- add 2 new skins: by and classic by Tobias Klausmann
- update spec to create a link to skins in the installer user's 
  home directory.

* Thu Sep 16 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.0-1m)
- initial release to Momonga Linux

